%global install_loc    %{_datadir}/eclipse/dropins/gcov
%global qualifier      201206130106

Name:           eclipse-gcov
Version:        1.0.0
Release:        2%{?dist}
Summary:        GCov Integration (Incubation)

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/gcov
Source0:        http://download.eclipse.org/linuxtools/%{version}-sources/linuxtools-gcov-parent-%{version}-src.tar.bz2
Patch0:         fix-gcov-GCNO-format.patch

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.6.1
BuildRequires: eclipse-cdt >= 1:7.0.1
BuildRequires: eclipse-linuxprofilingframework >= 1.0.0
Requires: eclipse-platform >= 1:3.6.1
Requires: eclipse-cdt >= 1:7.0.1
Requires: eclipse-linuxprofilingframework >= 1.0.0

%description
Functionality to integrate GCov with the Eclipse workbench.

%prep
%setup -q -n linuxtools-gcov-parent-%{version}-src
%patch0 -p2

%build
chmod -x org.eclipse.linuxtools.gcov/license.html
chmod -x org.eclipse.linuxtools.gcov/epl-v10.html
eclipse-pdebuild -f org.eclipse.linuxtools.gcov -d "cdt rse linuxprofilingframework" -o "/usr/share/java" \
-a "-DjavacSource=1.6 -DjavacTarget=1.6 -DforceContextQualifier=%{qualifier}"

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.gcov.zip 

%files
%{install_loc}
%doc org.eclipse.linuxtools.gcov/license.html
%doc org.eclipse.linuxtools.gcov/epl-v10.html

%changelog
* Tue Aug 30 2012 Roland Grunberg <rgrunber@redhat.com> 1.0.0-2
- Fix gcov GCNO data format with gcc 4.7.

* Fri Jul 6 2012 Jeff Johnston <jjohnstn@redhat.com> 1.0.0-1
- Update to Linux Tools 1.0.0 release (Juno).

* Fri Apr 6 2012 Alexander Kurtakov <akurtako@redhat.com> 0.10.0-1
- Update to Linux Tools 0.10 release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-0.2.20110718gitc011a2c7a0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Jeff Johnston <jjohnstn@redhat.com> 0.6.0-0.1.20110718gitc011a2c7a0
- First release of gcov (pre-0.6.0 release)
